Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class FalseTransitionEvent

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.FalseTransitionEvent

All Implemented Interfaces:
  CCEvent

    public class FalseTransitionEvent

extends Object
implements CCEvent

Constructor Summary
`FalseTransitionEvent()`

Method Summary
`TransitionType` | `actions(CallCenterCTMCKI ctmc, int tr, int rv, int usedBits, boolean changeState)` Performs the necessary actions for the transition, and returns the appropriate transition type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FalseTransitionEvent

    public FalseTransitionEvent()

Method Detail

### actions

    public TransitionType actions(CallCenterCTMCKI ctmc,
                                  int tr,
                                  int rv,
                                  int usedBits,
                                  boolean changeState)

  Description copied from interface: `CCEvent`
  Performs the necessary actions for the transition, and returns the appropriate transition type. This method is called by `CallCenterCTMCKI.nextStateInt(int)` in order to generate a transition. Random bits can be obtained as needed by using the given integer `rv`, but the `numUsedBits` least significant bits of `rv` are already used before the method is called, i.e., to select the index of an event in a lookup table.

  Specified by:
    `actions` in interface `CCEvent`
  Parameters:
    `ctmc` - the CTMC representing the call center.
    `tr` - the number of transitions already done.
    `rv` - the random integer used to simulate the transition.
    `usedBits` - the number of bits already used in `rv`.
    `changeState` - determines if the event can change the state of the CTMC.
  Returns:
    the type of the simulated transition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.